//scss-lint:disable NestingDepth,ImportantRule
// blog general

.blog .callout,
.gitlab-trial {
  clear: both;
  text-align: center;
  padding: 40px 0 100px;
  font-size: 16px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  line-height: 1.58;
  color: $blog-color-text;
  letter-spacing: -.003em;
  background-color: $color-white;

  h1,
  h2,
  h3,
  h4 {
    margin: 20px 0 14px;
    font-weight: 600;
  }

  a {
    color: $color-white;

    &.contact {
      color: $blog-color-purple;
    }
  }

  h3 {
    font-size: 46px;
    font-weight: 400;
    line-height: 1;
    padding: 0 25px;
  }

  h4 {
    margin: 15px 40px;
    font-weight: 400;
    font-size: 20px;
  }

  @media only screen and (max-width : 768px) {
    padding: 35px 0 45px;

    h3 {
      font-size: 32px;
      font-weight: 300;
      line-height: 1;
      padding: 0 25px;
    }
  }
}

.blog {
  font-size: 16px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  line-height: 1.58;
  color: $blog-color-text;
  letter-spacing: -.003em;
  padding-bottom: 70px;

  .callout,
  .gitlab-trial {
    background-color: $body-bg;
    padding: 50px 0 70px;
  }

  h1,
  h2,
  h3,
  h4 {
    margin: 20px 0 14px;
    font-weight: 600;
  }

  .wrapper {
    max-width: 1050px;
    margin: 0 auto;
    clear: both;
  }

  .sticky-banner {
    height: inherit;
    padding: 6px 0 4px;

    .sticky-banner-content {
      max-width: 1050px;
      padding: 0 75px;
      margin: 0 auto;
    }

    .sticky-banner-text {
      display: inline-block;
      float: left;
    }

    .action {
      padding-top: 11px;
      display: inline-block;
      float: right;
      flex: 0;
    }
  }

  &.list {
    .section {
      margin: 20px 40px 0;
    }

    .panel {
      box-shadow: 0 3px 3px $blog-color-border-shadow;
      margin: 0 10px;
    }

    .articles {
      display: flex;
    }

    .article {
      flex: 0 0 auto;
      background: $color-white;
      box-shadow: 0 3px 3px $blog-color-border-shadow;
      margin: 0 10px 5px;
      width: calc(50% - 20px);
      border-radius: 2px;

      a {
        color: $blog-color-purple;
        font-weight: 600;

        &:hover {
          color: $link-color;
          text-decoration: none;
        }
      }
    }

    .article-information {
      padding: 25px;
    }

    .author-gitlab {
      i {
        color: $color-gray;
        text-decoration: none;

        &:hover {
          color: $color-secondary;
          text-decoration: none;
        }
      }
    }

    .author-twitter {
      i {
        color: $color-gray;
        text-decoration: none;

        &:hover {
          color: $link-color;
          text-decoration: none;
        }
      }
    }

    .cover {
      text-decoration: none;
      display: block;
      width: 100%;
      height: 220px;
      background-repeat: no-repeat;
      background-position: 50%;
      background-size: cover;
      position: relative;
      border-radius: 2px 2px 0 0;

      h2 {
        margin: 0;
        padding: 20px;
        text-align: center;
        color: $blog-color-heading;
        vertical-align: middle;
        font-weight: 600;
        position: relative;
        top: 50%;
        transform: translateY(-50%);
      }
    }

    .overlay {
      background: linear-gradient(123deg, $blog-color-image-from, $blog-color-image-to);
      display: block;
      height: 100%;
      border-radius: 2px 2px 0 0;
    }

    .author {
      float: left;
    }

    .date {
      color: $blog-color-date;
      float: right;
    }

    .summary {
      clear: both;
      margin-top: 46px;
      font-size: 18px;
      height: 85px;
      text-overflow: ellipsis;
      overflow: hidden;
    }

    .more,
    .browse {
      font-weight: 800;
      border-radius: 4px;
      border: 1px solid $blog-color-mk-border;
      cursor: pointer;
      display: inline-block;
      padding: 7px 12px 6px;
      text-align: center;
      vertical-align: middle;
      margin-top: 10px;
      color: $blog-color-purple;
      background-color: $color-white;
    }

    .browse {
      margin: 0 10px;
    }

    .more:hover,
    .browse:hover {
      background-color: $blog-color-purple;
      border: 1px solid $blog-color-purple;
      color: $color-white !important;
    }

    @media only screen and (max-width : 768px) {
      .section {
        margin: 0 0 10px;
      }

      .panel {
        margin: 0 0 15px;
      }

      .articles {
        flex-direction: column;
      }

      .article {
        width: calc(100% - 20px);
        margin: 10px;
      }

      .article-information {
        padding: 10px;
      }
    }
  }

  &.article {
    .wrapper {
      padding: 50px 75px;
      box-shadow: 0 3px 3px $blog-color-border-shadow;
    }

    .header {
      box-shadow: none;
      padding: 150px 75px 50px;
      color: $blog-color-heading;

      .btn {
        margin-top: 15px;
      }
    }

    .body {
      background-color: $color-white;
      padding-bottom: 55px;

      strong {
        letter-spacing: -.05em;
      }

      p:not(.panel-heading) {
        margin: 20px 0;
      }

      ul {
        margin-bottom: 0;
      }

      ol {
        margin-bottom: 32px;
      }
    }

    .content {
      margin-bottom: 40px;
      font-size: 19px;
    }

    .social {
      width: 152px;
      margin: 0 auto;
    }

    .signup {
      padding: 0;
    }

    .comments {
      margin-top: 20px;
      background-color: $color-white;
      box-shadow: 0 3px 3px $blog-color-border-shadow;
      padding-bottom: 90px;
    }

    .footer {
      margin-top: 0;
    }

    .body a:not(.btn):not(.twitter-block-link),
    .newsletter a {
      color: $blog-color-purple;
      font-weight: 600;
    }

    .cover {
      background-size: cover;
      background-position: center center;
      background-repeat: no-repeat;
      height: 450px;
      position: relative;
    }

    .overlay {
      background: linear-gradient(to bottom, $blog-color-image-from, $blog-color-image-to);
      position: absolute;
      width: 100%;
      bottom: 0;
    }

    h1 {
      font-size: 34px;
      font-weight: 600;
      margin: 15px 0 10px;
      clear: both;
    }

    .author,
    .date {
      font-size: 17px;
      font-weight: 600;
      display: inline-block;

      a {
        color: $blog-color-heading;
        text-decoration: none;
        font-weight: 600;

        &:hover {
          text-decoration: none;
          color: $blog-color-purple;
        }
      }
    }

    .author-gitlab {
      i {
        color: $color-white;

        &:hover {
          color: $color-secondary;
          text-decoration: none;
        }
      }
    }

    .author-twitter {
      i {
        color: $color-white;

        &:hover {
          color: $link-color;
          text-decoration: none;
        }
      }
    }

    .description {
      font-size: 20px;
      margin-bottom: 0;
    }

    .alert {
      font-size: 18px;
    }

    // scss-lint:disable ImportantRule
    .twitter-tweet {
      margin: 0 auto 32px !important;
    }
    // scss-lint:enable ImportantRule

    @media only screen and (max-width : 768px) {
      .wrapper {
        padding: 10px;
      }

      .signup {
        padding: 0;
        border-bottom: 0;
      }

      .header {
        padding: 30px 10px;
      }

      .content {
        font-size: 18px;
      }
    }
  }

  &.archives {
    padding-top: 20px;
    font-size: 18px;

    .wrapper {
      max-width: 925px;
      box-shadow: 0 3px 3px $blog-color-border-shadow;
      margin-bottom: 90px;
      font-size: 16px;
    }

    .section {
      padding: 75px;
      background-color: $color-white;
    }

    ul {
      list-style: none;
      margin: 0;
      padding: 0;
    }

    li {
      border-bottom: 1px solid $color-gray-medium;
      margin: 0 0 5px;
      padding: 0 0 5px;
      overflow: hidden;
    }

    a {
      color: $blog-color-purple;
    }

    a:visited {
      color: $blueish-gray;
    }

    time {
      float: right;
      color: $blog-color-date;
    }
  }

  .pager {
    margin-top: 15px;

    .fa {
      position: relative;
      top: 1px;

      &.fa-chevron-left {
        margin-right: 5px;
      }

      &.fa-chevron-right {
        margin-left: 5px;
      }
    }
  }
}


// newsletter

// marketo form has a bug on mobile and doesn't display
.newsletter {
  .newsletter-preamble {
    float: left;
    line-height: 30px;
    font-size: 1.7rem;
    font-weight: 600;
    margin-bottom: 5px;
  }

  .newsletter-form {
    width: auto;
    float: right;
  }

  .sbmc {
    width: 100px;
  }

  @media only screen and (max-width : 768px) {
    display: none;
  }
}

.rss-btn {
  margin-right: 8px;
}

.newsletter-form div {
  display: inline;
}

// scss-lint:disable SelectorFormat
// scss-lint:disable ImportantRule

.mktoFieldDescriptor.mktoFormCol {
  margin-bottom: 0 !important;
}

.newsletter-form .mktoForm {
  display: inline-block;
  width: auto !important;
}

.newsletter-form .mktoFieldWrap {
  float: none !important;
  margin-right: 5px !important;
}

.newsletter-form .mktoField {
  background-color: $color-white;
  background-image: none;
  border-radius: 4px !important;
  border: 1px solid $blog-color-mk-border !important;
  box-shadow: none !important;
  color: $blog-color-text;
  display: block;
  font-size: 14px;
  height: 34px;
  line-height: 1.42857143;
  padding: 6px 12px !important;
  width: 100%;
}

.newsletter-form .mktoButtonWrap {
  margin: 0 !important;
}

.newsletter-form .mktoButton {
  background-color: $color-white;
  background-image: none;
  border-radius: 4px;
  border: 1px solid $blog-color-mk-border;
  cursor: pointer;
  display: inline-block;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.42857143;
  margin-bottom: 0;
  padding: 7px 12px 6px !important;
  text-align: center;
  user-select: none;
  vertical-align: middle;
  white-space: nowrap;
}

.newsletter-form .mktoButton:hover {
  background-color: $blog-color-overlay-border;
  border-color: $blog-color-mk-border;
  color: $blog-color-text;
}

.newsletter-form .mktoAsterix,
.newsletter-form .mktoGutter,
.newsletter-form .mktoLabel,
.newsletter-form .mktoOffset {
  display: none;
  width: 0;
}

.newsletter-form .mktoFormCol {
  margin: 0;
}

.newsletter-form .mktoClear,
.newsletter-form .mktoFormRow {
  clear: none;
}

// scss-lint:enable ImportantRule
// scss-lint:enable SelectorFormat


// legacy stuff that a lot of the other pages depend on specifically the handbook

.blog-entry,
.md-page {
  margin-right: auto;
  margin-left: auto;
  max-width: 900px;
  font-size: 16px;
  word-wrap: break-word;

  .author {
    display: inline;
    font-weight: 600;

    a {
      font-weight: 600;
      line-height: normal;
    }
  }

  .date {
    color: $blog-color-text;
    font-weight: 300;
    font-size: 16px;
    margin-left: 4px;
    margin-top: 10px;
    padding-bottom: 10px;
  }

  .panel-heading {
    a {
      font-size: inherit;
    }
  }

  li {
    color: $blog-color-text;
  }

  .image-title h1 a {
    color: $color-white;
    font-weight: 600;
    font-size: 40px;
  }

  h1 {
    margin-bottom: 0;

    &.image-title {
      font-size: 30px;
      color: $color-white;
      font-weight: 600;
      line-height: 40px;
    }

    a {
      font-size: 30px;
      color: $blog-color-text;
      font-weight: 600;
      line-height: 41px;
    }
  }

  h1,
  h2,
  h3,
  h4,
  h5 {
    color: $blog-color-text;
    font-weight: 600;
    margin-top: 0;
  }

  h2 {
    font-size: 35px;
    margin-top: 45px;
  }

  p {
    color: $blog-color-text;
    line-height: 1.5;
    margin: 0 0 20px;

    &.note {
      font-size: 14px;
      font-style: italic;
      color: $blog-color-text;
    }
  }

  blockquote {
    p {
      font-size: 16px;
      font-style: normal;
      color: $blog-color-text;
    }
  }

  .table-responsive {
    margin-bottom: 0;
    border: 0;
  }
}

.blog-entry {
  h3 {
    font-size: 30px;
    color: $blog-color-text;
    font-weight: 200;
    padding-top: 12px;
  }
}

.image-title .color-bg {
  position: relative;
  display: block;
  padding: 200px 40px;
  margin-top: 0;
  color: $color-white;
  font-weight: 600;
  font-size: 55px;
  text-align: center;
  height: 500px;
  background: linear-gradient(-225deg, $blog-color-legacy-image-from 0%, $blog-color-legacy-image-to, 100%);

  h1 {
    color: $color-white;
  }
}

pre {
  border-radius: 0;
}

// scss-lint:disable SelectorFormat

// newsletter signup call to action
.panel-newsletter-cta {
  border: 1px solid $border-color;
  background: $body-bg;
  text-align: center;
  color: $color-primary;

  @media (min-width: $screen-xs) {
    width: 302px;
    float: right;
    margin: 0 0 40px 40px;
  }

  .panel-header {
    padding: 20px 16px 0;
  }

  .panel-body {
    padding: 0;
  }

  .newsletter-preamble {
    font-size: 27px;
    font-weight: bold;
    margin: 10px 0 7px;
    line-height: 1.2;
  }

  .newsletter-sub-preamble {
    font-size: 16px;
    font-weight: 600;
    margin: 0 0 18px;
  }

  .newsletter-form {
    width: 100%;

    .mktoForm {
      width: 100% !important;
    }

    .mktoFieldWrap {
      margin-right: 0 !important;
    }

    [type=email] {
      width: 100% !important;
      float: none;
      margin-bottom: 10px;
      border: 0 !important;
      box-shadow: 1px 1px 5px $color-transparent-alt !important;
      font-size: 14px !important;
      padding: 5px 12px !important;
      height: 32px !important;
    }
  }

  .mktoForm .mktoFormRow {
    width: 100%;
    display: block;
    text-align: center;

    .mktoFieldDescriptor {
      width: 260px !important;
      display: inline-block;
      margin: 0 auto;
      float: none;
    }
  }

  .mktoButtonRow {
    display: block;
    margin: 0 -1px -1px;

    .mktoButtonWrap {
      display: block;
    }
  }

  .mktoButton {
    background-color: $color-primary;
    background-image: linear-gradient(to right, $purple-section-gradient-from, $purple-section-gradient-to 100%);
    color: $color-white;
    border: 0;
    border-radius: 0 0 5px 5px;
    display: block;
    width: 100%;
    font-size: 16px;
    font-weight: 600;
    padding: 14px !important;

    &:hover {
      color: $color-white;
    }
  }

  .success-image {
    width: 120px;
    margin: 20px 0 46px;
  }

  &.newsletter-cta-a {
    svg path {
      fill: $purple-section-gradient-to;
    }
  }

  &.newsletter-cta-b {
    background: $orange-section-gradient-to;
    background-image: linear-gradient(180deg, $orange-section-gradient-from, $orange-section-gradient-to 100%);
    border: 0;
    color: $color-white;

    .mktoButton {
      background: $color-transparent-white-alt;
      border: 1px solid $color-white;
      color: $color-self-hosted-accent;
      width: 182px;
      margin: 0 auto 20px;
      border-radius: 5px;
      padding: 4px !important;

      &:hover {
        background: $color-white;
      }
    }
  }
}
// scss-lint:enable SelectorFormat

//scss-lint:enable all
